import {
  ChangeDetectionStrategy,
  Component,
} from "@angular/core";
import {AbstractMainToolbarPresentational} from "@app/components/presentationals/main-toolbar/abstract-main-toolbar/abstract-main-toolbar.presentational";
import {OAuth2Service} from "solidify-frontend";

@Component({
  selector: "dlcm-main-toolbar-desktop-horizontal",
  templateUrl: "./main-toolbar-desktop-horizontal-presentational.component.html",
  styleUrls: ["./main-toolbar-desktop-horizontal-presentational.component.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class MainToolbarDesktopHorizontalPresentational extends AbstractMainToolbarPresentational {

  constructor(private oauth: OAuth2Service) {
    super(oauth);
  }
}
